Sync the debian packaging into apkg format

- Drop the versioned dependency on pcre2 (the oldest still supported Debian has
  pcre2 10.22 and the oldest still supported Ubuntu has pcre2 10.31)
- Update the symbols file up to upstream 2.0.7 version
- Update the yanglint autopkgtest for libyang2 packaging
diff --git a/distro/pkg/deb/tests/yanglint b/distro/pkg/deb/tests/yanglint
index ee3ca0a..eda5573 100755
--- a/distro/pkg/deb/tests/yanglint
+++ b/distro/pkg/deb/tests/yanglint
@@ -1,9 +1,18 @@
 #!/bin/sh
 
 set -e
-if test -f /usr/share/doc/libyang-tools/examples/ietf-interfaces.yang.gz; then
-	gunzip -c < /usr/share/doc/libyang-tools/examples/ietf-interfaces.yang.gz > /tmp/ietf-interfaces.yang
+
+# Setup the test file
+trap 'rm -f "${TESTFILE}"; rmdir "${TESTDIR}"' EXIT
+TESTDIR=$(mktemp -d /tmp/yanglint.XXXXXX)
+TESTFILE="${TESTDIR}/ietf-interfaces.yang"
+
+# Unpack or copy the test file
+if test -f /usr/share/doc/libyang2-tools/examples/ietf-interfaces.yang.gz; then
+	gunzip -c < /usr/share/doc/libyang2-tools/examples/ietf-interfaces.yang.gz > "${TESTFILE}"
 else
-	cp /usr/share/doc/libyang-tools/examples/ietf-interfaces.yang /tmp/ietf-interfaces.yang
+	cp /usr/share/doc/libyang2-tools/examples/ietf-interfaces.yang "${TESTFILE}"
 fi
-yanglint /tmp/ietf-interfaces.yang
+
+# Lint the test file
+yanglint "${TESTFILE}"